Current user
GET
/me
Retrieve the profile of the currently logged in user.
响应载荷
activeSessions
integer
必填
The number of logged in session for the user.
avatarUrl
string
URL to the user's profile picture.
badges
array of string
bio
string
The user's description
createdAt
string
必填
When the user was created.
defaultEmail
string
The default email of the user in the list of emails.
emails
array of object
必填
Email addresses associated with user.
显示子属性
emails.createdAt
string
必填
When this record was created.
emails.email
string
必填
The email address.
emails.id
string
必填
ID of the email record.
emails.passwordSet
boolean
必填
Whether there is a password set for this email address.
emails.tokenSet
boolean
必填
Whether there is a token set for this email address.
emails.updatedAt
string
When this record was last updated.
emails.userId
string
必填
ID of the user this record is associated with.
emails.verified
boolean
必填
Whether the email address is verified.
id
string
必填
ID of the user
identities
array of object
Third-party identities associated with user.
显示子属性
identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
identities.createdAt
string
Timestamp when the identity was created.
identities.email
string
The email of the user on the third-party provider.
identities.id
string
The ID of the user on the third-party provider.
identities.name
string
The name of the user on the third-party provider.
identities.provider
string
The name of the provider
identities.updatedAt
string
Timestamp when the identity was last updated.
locale
string
name
string
必填
The display name for the user
phoneNumber
string
phoneNumbers
array of object
必填
The phone numbers associated with the user.
显示子属性
phoneNumbers.createdAt
string
必填
phoneNumbers.id
string
必填
phoneNumbers.phoneNumber
string
必填
phoneNumbers.primary
boolean
必填
phoneNumbers.updatedAt
string
必填
phoneNumbers.userId
string
必填
phoneNumbers.verified
boolean
必填
status
string
必填
The status of the user
Possible values: pending, active, deleted, invited, banned
timezone
string
The default timezone for the user.
updatedAt
string
必填
When the user was last updated.
userFraudInformation
object
显示子属性
userFraudInformation.score
number
Fraud score
userFraudInformation.userId
string
Fraud user id
代码示例
curl -X GET 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/me
Update the profile of the currently logged in user.
请求载荷
name
string
The display name for the user
bio
string
The user's description
avatarUrl
string
URL to the user's profile picture.
locale
string
timezone
string
The default timezone for the user.
响应载荷
activeSessions
integer
必填
The number of logged in session for the user.
avatarUrl
string
URL to the user's profile picture.
badges
array of string
bio
string
The user's description
createdAt
string
必填
When the user was created.
defaultEmail
string
The default email of the user in the list of emails.
emails
array of object
必填
Email addresses associated with user.
显示子属性
emails.createdAt
string
必填
When this record was created.
emails.email
string
必填
The email address.
emails.id
string
必填
ID of the email record.
emails.passwordSet
boolean
必填
Whether there is a password set for this email address.
emails.tokenSet
boolean
必填
Whether there is a token set for this email address.
emails.updatedAt
string
When this record was last updated.
emails.userId
string
必填
ID of the user this record is associated with.
emails.verified
boolean
必填
Whether the email address is verified.
id
string
必填
ID of the user
identities
array of object
Third-party identities associated with user.
显示子属性
identities.avatarUrl
string
The avatar URL of the user on the third-party provider.
identities.createdAt
string
Timestamp when the identity was created.
identities.email
string
The email of the user on the third-party provider.
identities.id
string
The ID of the user on the third-party provider.
identities.name
string
The name of the user on the third-party provider.
identities.provider
string
The name of the provider
identities.updatedAt
string
Timestamp when the identity was last updated.
locale
string
name
string
必填
The display name for the user
phoneNumber
string
phoneNumbers
array of object
必填
The phone numbers associated with the user.
显示子属性
phoneNumbers.createdAt
string
必填
phoneNumbers.id
string
必填
phoneNumbers.phoneNumber
string
必填
phoneNumbers.primary
boolean
必填
phoneNumbers.updatedAt
string
必填
phoneNumbers.userId
string
必填
phoneNumbers.verified
boolean
必填
status
string
必填
The status of the user
Possible values: pending, active, deleted, invited, banned
timezone
string
The default timezone for the user.
updatedAt
string
必填
When the user was last updated.
userFraudInformation
object
显示子属性
userFraudInformation.score
number
Fraud score
userFraudInformation.userId
string
Fraud user id
代码示例
curl -X PATCH 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/me
Delete the profile of the currently logged in user. Essentially deleting your account with the platform.
代码示例
curl -X DELETE 'https://api.bird.com/me' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'